#include <QtGui/QApplication>
#include <QtCore>
#include <QTest>

#include "mainwindow.h"
#include "storage.h"
#include "tables.h"


int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    a.setOrganizationName("penpen");
    a.setApplicationName("sketchbook");

    Storage *storage = Storage::instance();
    storage->open();

    MainWindow w;
#if defined(Q_WS_S60)
    w.showMaximized();
#else

#ifdef Q_WS_MAEMO_5
    w.setAttribute(Qt::WA_Maemo5AutoOrientation, true);
#endif
    w.show();
#endif

    Drawpad* drawpad = w.drawpad();

    QFile file("drawpad.xml");
    if (file.open(QIODevice::ReadOnly)) {
        QByteArray data = file.readAll();
        QDomDocument doc;
        doc.setContent(data);

        QDomElement elem = doc.firstChildElement("paper");

        drawpad->paper()->setFromElement(elem);
        file.close();
    }

    int ret =  a.exec();

    QDomDocument doc = drawpad->toXml();
    qDebug() << doc.toString();

    if (file.open(QIODevice::WriteOnly) ){
        file.write(doc.toByteArray());
        file.close();
    }

    return ret;
}
